%if 0%{?fedora} > 14 || 0%{?rhel} > 5
%global with_tests 1
%else
%global with_tests 0
%endif

Name:		php53-simplepie
Version:	1.3.1
Release:	5%{?dist}
Summary:	Simple RSS Library in PHP

Group:		Development/Libraries
License:	BSD
URL:		http://simplepie.org/
Source0: https://nodeload.github.com/simplepie/simplepie/legacy.zip/%{version}
# https://github.com/simplepie/simplepie/pull/258
Patch0:	php-simplepie-php533.patch

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch

%if %{with_tests}
BuildRequires:	php-phpunit-PHPUnit > 3.6
%endif

# To get standard requires packages
Requires:	php53-common
Requires:   php53-mbstring, php53-xml, php53-pdo, php-IDNA_Convert
# Optional: memcache, xmlreader, zlib

%description
SimplePie is a very fast and easy-to-use class, written in PHP, that puts the
'simple' back into 'really simple syndication'. Flexible enough to suit
beginners and veterans alike, SimplePie is focused on speed, ease of use,
compatibility and standards compliance.

%prep
%setup -qn simplepie-simplepie-e9472a1
%patch0 -p1

# fix rpmlint warnings
find . -type f -exec chmod -x {} \;
find . -name .git\* -exec rm -f {} \;


%build
#non-empty build section to quell the belching that rpmlint does with an empty build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_datadir}/php/
cp -ar library %{buildroot}/%{_datadir}/php/%{name}

sed -e '/__FILE__/s/\..*$/;/' autoloader.php \
    > %{buildroot}/%{_datadir}/php/%{name}/autoloader.php


%check
%if %{with_tests}
phpunit .
%else
: test suite disabled
%endif


%clean
rm -rf  %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE.txt demo
%{_datadir}/php/%{name}



%changelog
* Wed Jan 09 2013 Matěj Cepl <mcepl@redhat.com> - 1.3.1-5
- Another try of fixing Requires.

* Wed Jan 09 2013 Matěj Cepl <mcepl@redhat.com> - 1.3.1-4
- Fix requires.

* Mon Jan 07 2013 Matěj Cepl <mcepl@redhat.com> - 1.3.1-1
- Update to php53-* 1.3.1 version.
  Incorporate following changes from php-simplepie:
  * fix for php 5.3.3 (RHEL-6)
  * disable test suite on RHEL-5
  * better fix for rpmlint warnings
    (version-control-internal-file and script-without-shebang)
  * really install library
  * provides autoloader.php
  * run tests

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Aug 30 2011 Adam Williamson <awilliam@redhat.com> - 1.2-1
- bump to 1.2 (a mere two years late!)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr 23 2009 David Nalley <david@gnsa.us> 1.1.3-3
- used version macro in source url
- stopped using two different macros for buildroot
- stopped using macro for mkdir
- moved chmods to immediately after setup in prep
- removed line that rm compatibility_test
- used a single line to copy create.php and simplepie.inc
* Thu Apr 23 2009 David Nalley <david@gnsa.us> 1.1.3-2
- Removed php asa requires since php-IDNA_convert pulls it in
* Wed Apr 22 2009 David Nalley <david@gnsa.us> 1.1.3-1
- Initial packaging efforts

